<?php
/**
 * @file
 * petitions44 main navigation static HTML storage file. This file houses the
 * HTML that is being used to generate the $fortyfour_mainnav variable in the
 * page.tpl.php file. This should be built to match the HTML of whitehouse.gov.
 *
 * Available variables:
 * $path_to_fortyfour: Dynamically generates path to fortyfour theme.
 */

/**
 * @file
 * Petitions 44 theme's implementation to display main navigation content within
 * the page.tpl.php file.
 */
?>

<div id="top-nav-wrapper" class="clearfix clear">
  <div id="hdr-flag"><a href="https://wwws.whitehouse.gov/">Go to homepage.</a></div>
  <!--/#hdr flag-->

  <ul id="topnav" class="clearfix">
    <li id="nav-blog" class="first-level"> <a href="https://wwws.whitehouse.gov/blog" class="first-level"><span>The White House Blog</span></a> </li>
    <li id="nav-media-center" class="first-level"> <a href="https://wwws.whitehouse.gov/video" class="first-level"><span>Photos &amp; Videos</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-two-col topnav-dd-outer-featured topnav-dd-outer-two-col-featured">
        <div class="topnav-dd-inner clearfix">
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/photos">Photo Galleries</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/video">Video</a> </li>
          </ul>
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/live">Live Streams</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/podcasts">Podcasts</a> </li>
          </ul>
          <div id="nav-media-center-feature" class="topnav-feature">
            <div class="cp_tile ">
              <div id="block-nodeblock-43333" class="clear-block block block-nodeblock ">
                <div class="content">
                  <p class="menu-feature-title"><a href="https://wwws.whitehouse.gov/state-of-the-union-2012">State of the Union</a></p>
                  <p>Watch the Enhanced Video</p>
                  <p><a href="https://wwws.whitehouse.gov/state-of-the-union-2012"><img src="<?php print $path_to_fortyfour; ?>/images/sotuthumb.jpg" alt="Jobs Act Speech"></a></p>
                  <a id="context-block-nodeblock-43333" class="context-block editable edit-whitehouse-general-menu-features"></a><a id="context-block-nodeblock-43333" class="context-block editable edit-whitehouse-general-menu-features"></a></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
    <li id="nav-briefing-room" class="first-level"> <a href="https://wwws.whitehouse.gov/briefing-room" class="first-level"><span>Briefing Room</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-two-col topnav-dd-outer-featured topnav-dd-outer-two-col-featured">
        <div class="topnav-dd-inner clearfix">
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/weekly-address">Your Weekly Address</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/speeches-and-remarks">Speeches &amp; Remarks</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/press-briefings">Press Briefings</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/statements-and-releases">Statements &amp; Releases</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/schedule/complete">White House Schedule</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/presidential-actions">Presidential Actions</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/briefing-room/presidential-actions/executive-orders">Executive Orders</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/presidential-actions/presidential-memoranda">Presidential Memoranda</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/presidential-actions/proclamations">Proclamations</a></li>
              </ul>
            </li>
          </ul>
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/legislation">Legislation</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/briefing-room/pending-legislation">Pending Legislation</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/signed-legislation">Signed Legislation</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/vetoed-legislation">Vetoed Legislation</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/nominations-and-appointments">Nominations &amp; Appointments</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/briefing-room/disclosures/visitor-records">Disclosures</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/visitor-records">Visitor Access Records</a></li>
                <li><a href="https://wwws.whitehouse.gov/public-forms/sf278">Financial Disclosures</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/annual-records/2011">2011 Annual Report to Congress</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/annual-records/2010">2010 Annual Report to Congress on White House Staff</a></li>
                <li><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/annual-records/2009">2009 Annual Report to Congress on White House Staff</a></li>
              </ul>
            </li>
          </ul>
          <div id="nav-briefing-room-feature" class="topnav-feature" style="height: 225px; ">
            <div class="cp_tile ">
              <div id="block-nodeblock-43309" class="clear-block block block-nodeblock ">
                <div class="content">
                  <p class="menu-feature-title"><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/visitor-records?utm_source=wh&amp;utm_medium=tout&amp;utm_campaign=menu">A Commitment to Transparency</a></p>
                  <p>Browse White House visitor logs</p>
                  <p><a href="https://wwws.whitehouse.gov/briefing-room/disclosures/visitor-records?utm_source=wh&amp;utm_medium=tout&amp;utm_campaign=menu"><img src="<?php print $path_to_fortyfour; ?>/images/menu_visitor_records.jpg" alt="President Obama greets White House visitors"></a></p>
                  <a id="context-block-nodeblock-43309" class="context-block editable edit-whitehouse-general-menu-features"></a><a id="context-block-nodeblock-43309" class="context-block editable edit-whitehouse-general-menu-features"></a></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
    <li id="nav-issues" class="first-level"> <a href="https://wwws.whitehouse.gov/issues" class="first-level"><span>Issues</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-three-col topnav-dd-outer-featured topnav-dd-outer-three-col-featured">
        <div class="topnav-dd-inner clearfix">
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/issues/civil-rights">Civil Rights</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/issues/it-gets-better">It Gets Better</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/defense">Defense</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/iraq">End of Iraq War</a></li>
                <li><a href="https://wwws.whitehouse.gov/issues/defense/afghanistan">The Way Forward in Afghanistan</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/disabilities">Disabilities</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/economy">Economy</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/economy/jobs">Jobs</a></li>
                <li><a href="https://wwws.whitehouse.gov/economy/reform">Reform and Fiscal Responsibility</a></li>
                <li><a href="https://wwws.whitehouse.gov/economy/middle-class">Strengthening the Middle Class</a></li>
                <li><a href="https://wwws.whitehouse.gov/economy/business">Supporting Business</a></li>
                <li><a href="https://wwws.whitehouse.gov/blueprint">Blueprint for an America Built to Last</a></li>
              </ul>
            </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/issues/education">Education</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/energy">Energy &amp; Environment</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/21stcenturygov">Ethics</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/family">Family</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/fiscal">Fiscal Responsibility</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/issues/fiscal/excess-property-map">Excess Federal Properties Interactive Map</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/foreign-policy">Foreign Policy</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/healthreform">Health Care</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/homeland-security">Homeland Security</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/fixing-immigration-system-america-s-21st-century-economy">Immigration</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/poverty">Poverty</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/eop/rural-council">Rural</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/administration/eop/rural-council/rural-tour-2011">Rural Tour 2011</a></li>
              </ul>
            </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/issues/seniors-and-social-security">Seniors &amp; Social Security</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/service">Service</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/taxes">Taxes</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/economy/buffett-rule">The Buffett Rule</a></li>
                <li><a href="https://wwws.whitehouse.gov/2011-taxreceipt">Tax Receipt</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/technology">Technology</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/urban-policy">Urban Policy</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/veterans">Veterans</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/joiningforces">Joining Forces</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/women">Women</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/issues/additional-issues">Additional Issues</a> </li>
          </ul>
          <div id="nav-issues-feature" class="topnav-feature" style="height: 290px; ">
            <div class="cp_tile ">
              <div id="block-nodeblock-43315" class="clear-block block block-nodeblock ">
                <div class="content">
                  <p class="menu-feature-title"><a href="http://www.whitehouse.gov/economy/jobs/we-cant-wait">We Can't Wait</a></p>
                  <p>See executive actions President Obama has taken</p>
                  <p><a href="http://www.whitehouse.gov/economy/jobs/we-cant-wait"><img src="<?php print $path_to_fortyfour; ?>/images/main_nav_cant_wait.jpg" alt="We Can't Wait"></a></p>
                  <hr>
                  <p class="menu-feature-title"><a href="http://www.whitehouse.gov/issues/taxes/tax-receipt">Your Federal Tax Receipt</a></p>
                  <p>See how your federal tax dollars are spent</p>
                  <p><a href="http://www.whitehouse.gov/issues/taxes/tax-receipt"><img src="<?php print $path_to_fortyfour; ?>/images/featured_tax_receipt.jpg" alt="Calculate Your Federal Taxpayer Receipt"></a></p>
                  <a id="context-block-nodeblock-43315" class="context-block editable edit-whitehouse-general-menu-features"></a><a id="context-block-nodeblock-43315" class="context-block editable edit-whitehouse-general-menu-features"></a></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
    <li id="nav-the-admin" class="first-level"> <a href="https://wwws.whitehouse.gov/administration" class="first-level"><span>The Administration</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-three-col topnav-dd-outer-featured topnav-dd-outer-three-col-featured">
        <div class="topnav-dd-inner clearfix">
          <div id="nav-the-admin-feature" class="topnav-feature" style="height: 156px; ">
            <div class="cp_tile ">
              <div id="block-nodeblock-43303" class="clear-block block block-nodeblock ">
                <div class="content">
                  <p class="menu-feature-title"><a href="https://wwws.whitehouse.gov/petitions">We the People</a></p>
                  <p>Create and Sign Petitions Now</p>
                  <p><a href="https://wwws.whitehouse.gov/petitions"><img src="<?php print $path_to_fortyfour; ?>/images/featured_petitions.jpg" alt="We the People"></a></p>
                  <a id="context-block-nodeblock-43303" class="context-block editable edit-whitehouse-general-menu-features"></a><a id="context-block-nodeblock-43303" class="context-block editable edit-whitehouse-general-menu-features"></a></div>
              </div>
            </div>
          </div>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/administration/president-obama">President Barack Obama</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/vice-president-biden">Vice President Joe Biden</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/first-lady-michelle-obama">First Lady Michelle Obama</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/jill-biden">Dr. Jill Biden</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/cabinet">The Cabinet</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="http://www.whitehouse.gov/2010-Cabinet-Reports">2010 Video Reports</a></li>
              </ul>
            </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/administration/staff">White House Staff</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/administration/staff/jack-lew">Chief of Staff Jack Lew</a></li>
                <li><a href="https://wwws.whitehouse.gov/administration/staff/nancy-ann-deparle">Deputy Chief of Staff Nancy-Ann DeParle</a></li>
                <li><a href="https://wwws.whitehouse.gov/administration/staff/alyssa-mastromonaco">Deputy Chief of Staff Alyssa Mastromonaco</a></li>
                <li><a href="https://wwws.whitehouse.gov/administration/staff/pete-rouse">Counselor to the President Peter Rouse</a></li>
                <li><a href="https://wwws.whitehouse.gov/administration/staff/valerie-jarrett">Senior Advisor Valerie Jarrett</a></li>
              </ul>
            </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/administration/eop">Executive Office of the President</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/administration/other-advisory-boards">Other Advisory Boards</a> </li>
          </ul>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
    <li id="nav-the-wh" class="first-level"> <a href="https://wwws.whitehouse.gov/about" class="first-level"><span>About the White House</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-three-col topnav-dd-outer-featured topnav-dd-outer-three-col-featured">
        <div class="topnav-dd-inner clearfix">
          <div id="nav-the-wh-feature" class="topnav-feature" style="height: 254px; ">
            <div class="cp_tile ">
              <div id="block-nodeblock-43321" class="clear-block block block-nodeblock ">
                <div class="content">
                  <p class="menu-feature-title"><a href="https://wwws.whitehouse.gov/about/interactive-tour?utm_source=wh&amp;utm_medium=tout&amp;utm_campaign=menu?utm_source=wh&amp;utm_medium=tout&amp;utm_campaign=menu">Inside the White House</a></p>
                  <p>Take an interactive tour</p>
                  <p><a href="https://wwws.whitehouse.gov/about/interactive-tour?utm_source=wh&amp;utm_medium=tout&amp;utm_campaign=menu"><img src="<?php print $path_to_fortyfour; ?>/images/menu_interactive_tour.jpg" alt="Interactive Map of the White House"></a></p>
                  <a id="context-block-nodeblock-43321" class="context-block editable edit-whitehouse-general-menu-features"></a><a id="context-block-nodeblock-43321" class="context-block editable edit-whitehouse-general-menu-features"></a></div>
              </div>
            </div>
          </div>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/about/inside-white-house%20">Inside the White House</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/about/inside-white-house/history">History</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/inside-white-house/art">Décor and Art</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/inside-white-house/interactive-tour">Interactive Tour</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/inside-white-house/video-series">Video Series</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/inside-white-house/google-art">Google Art</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/about/presidents">Presidents</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/first-ladies">First Ladies</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/oval-office">The Oval Office</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/vp-residence">The Vice President's Residence &amp; Office</a> </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/about/eeob">Eisenhower Executive Office Building</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/camp-david">Camp David</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/air-force-one">Air Force One</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/about/fellows">White House Fellows</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/about/fellows/commission">President's Commission</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/fellows/about">About the Fellowship</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/fellows/2011-2012">Current Class</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/fellows/staff">Staff Bios</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/fellows/news">News and Newsletters</a></li>
              </ul>
            </li>
            <li> <a href="https://wwws.whitehouse.gov/about/internships">White House Internships</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/about/internships/about">About</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/internships/program">Program</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/internships/departments">Presidential Department Descriptions</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/internships/selection">Selection Process</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/internships/FAQs">Internship Timeline &amp; FAQs</a></li>
              </ul>
            </li>
          </ul>
          <ul class="three-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/about/tours-and-events">Tours &amp; Events</a>
              <ul class="topnav-dd-inner-sub">
                <li><a href="https://wwws.whitehouse.gov/eastereggroll">2012 Easter Egg Roll</a></li>
                <li><a href="https://wwws.whitehouse.gov/eastereggroll">2011 Easter Egg Roll</a></li>
                <li><a href="http://www.whitehouse.gov/holidays">Holidays 2011</a></li>
                <li><a href="https://wwws.whitehouse.gov/about/tours_and_events/garden">Kitchen Garden Tours</a></li>
              </ul>
            </li>
          </ul>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
    <li id="nav-the-gov" class="first-level"> <a href="https://wwws.whitehouse.gov/our-government" class="first-level"><span>Our Government</span></a>
      <div class="topnav-dd-outer topnav-dd-outer-two-col">
        <div class="topnav-dd-inner clearfix">
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/our-government/executive-branch">The Executive Branch</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/legislative-branch">The Legislative Branch</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/judicial-branch">The Judicial Branch</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/the-constitution">The Constitution</a> </li>
          </ul>
          <ul class="two-col clearfix">
            <li> <a href="https://wwws.whitehouse.gov/our-government/federal-agencies-and-commissions">Federal Agencies &amp; Commissions</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/elections-and-voting">Elections &amp; Voting</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/state-and-local-government">State &amp; Local Government</a> </li>
            <li> <a href="https://wwws.whitehouse.gov/our-government/resources">Resources</a> </li>
          </ul>
        </div>
      </div>
      <!--/ .topnav-dd-outer, .topnav-dd-inner -->
    </li>
  </ul>
  <script>
(function($){
$(document).ready(function() {

if(typeof(jQuery)!='undefined')jQuery.each($('.topnav-feature','#topnav'),function(i,v){var o=jQuery(v),oh=o.height(),sh=o.siblings().height();
if(oh<sh)o.height(o.siblings().height());
});
});
})(jQuery);
</script>
</div>
<!--/#topnav wrapper-->
